package com.ruoyi.system.mapper.task;

import com.ruoyi.system.domain.task.TkCommonLeader;
import com.ruoyi.system.domain.task.TkCommonLeaderExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface TkCommonLeaderMapper {
    long countByExample(TkCommonLeaderExample example);

    int deleteByExample(TkCommonLeaderExample example);

    int deleteByPrimaryKey(String id);

    int insert(TkCommonLeader record);

    int insertSelective(TkCommonLeader record);

    List<TkCommonLeader> selectByExample(TkCommonLeaderExample example);

    TkCommonLeader selectByPrimaryKey(String id);

    int updateByExampleSelective(@Param("record") TkCommonLeader record, @Param("example") TkCommonLeaderExample example);

    int updateByExample(@Param("record") TkCommonLeader record, @Param("example") TkCommonLeaderExample example);

    int updateByPrimaryKeySelective(TkCommonLeader record);

    int updateByPrimaryKey(TkCommonLeader record);
}